guvcview (2.0.7)

   * Fix audio encoder (tickets #64 and #65)
   * Use current theme icons (get icon by name)

 -- Paulo Assis <pj.assis@gmail.com> Mon, 27 Oct 2021 18:33:00 +0100

guvcview (2.0.6)

   * multiple bug fixes

 -- Paulo Assis <pj.assis@gmail.com> Mon, 6 Oct 2018 23:21:00 +0100

guvcview (2.0.5)

   * terminate configure if qt5 is enabled and moc is missing
   * add sfml render
   * fix aac encoder (replace experimental aac by libvo_aacenc)
   * fix build against newer kernels
   * disable window key pressed events if a string control has focus
   * fix video monotonic pts flag value in encoder context
   * fix audio cleanup
   * add support for HEVC (h265) video codec
   * fix muxed h264 support; fix raw output (alloc outbuf frame)
   * add circular buffer for delayed audio frames pts
   * remove support for older libavcodec vesions (< 54.01)
   * add support for VP9
   * fix motion estimation method for x264 [1-4]
   * fix buggy behaviour for file names without extension
   * add support for sfml render
   * drop support for sdl1 based render
   * Flavio Spagnuolo <flavio.spagnuolo@gmail.com>: fix matroska clean up when audio is disabled
   * fix segfault when destroying mutexes by unlocking already unlocked mutexes
   * fix libc readdir_r deprecated warning: replace by readdir
   * add extra video fx filters

 -- Paulo Assis <pj.assis@gmail.com> Mon, 8 Feb 2017 15:20:00 +0100

guvcview (2.0.4)

   * drop support for internal 422 packed format (use only 420 planar)
   * add support for extra pixel formats, including be formats
   * add command line option for requesting fps
   * add support for control events
   * add support for string, int64, bitmask and integer menu controls
   * make sure we can't select unsuported pix formats from the gui
   * fix status message for QT5 interface
   * move mutexes to device handlers (context)
   * v4l2core and audio api - don't access device data directly (use opaque structures)
   * add constructor and destructor functions for v4l2core and encoder

 -- Paulo Assis <pj.assis@gmail.com> Mon, 22 Feb 2016 10:10:00 +0100

guvcview (2.0.3)

   * Add Qt5 interface (--enable-qt5)
   * fix '-n' option (don't save frame when photo countdown reaches 0)
   * restore exit_on_term option
   * use AC_SYS_LARGEFILE m4 macro for enabling Large File Support (LFS) on 32 bit systems
   * add color config for crosshair osd
   * change rendering engine to use updateTexture instead of lock/unlock texture
   * change rendering lib to avoid frame copy when using osd

 -- Paulo Assis <pj.assis@gmail.com> Mon, 4 Jan 2016 23:34:00 +0100

guvcview (2.0.2)

    * fix mjpeg and h264 decoders (libav): init avpacket
    * fix wrong logic of enable switches (Marvin Schmidt  ticket #12)
    * create a frame queue and refactor frame grab/decode
    * fix jpeg decoder for older libavcodec api ( < 54.25)
    * attach video capture to SIGUSR1 signal
    * add audio latency control to gui
    * change default portaudio latency to high latency
    * set device during initialization
    * use time for matroska segment uid if gsl is disabled
    * fix array index causing buffer overflow
    * restore CPPFLAGS after AC_CHECK_HEADERS
    * remove direct access to device data in v4l2core lib
    * make sure to stop encoder thread before exiting capture thread
    * avoid SIGFPE on bad channels or samprate data inside audio capture callbacks
    * remove check for avcodec.h (it's needed for very old libavcodec versions); set iyuv as default internal format (over yuyv)
    * add basic support for continuous and stepwise frame sizes
    * add support for empty control list
    * add code for crossair osd
    * fix h264 demux from mjpg container
    * fix pan/tilt for logitech peripheral V3 (use raw control instead of v4l2)

 -- Paulo Assis <pj.assis@gmail.com> Mon, 27 Jul 2015 12:00:00 +0100

guvcview (2.0.1)

    * Fix audio clean bug (segfault when audio=none)
    * Add --disable_libv4l2 option
	* Add support for internal yu12 planar format
    * Workaround uvcvideo bug (buf.bytesused=0 on kernels >=3.16)

 -- Paulo Assis <pj.assis@gmail.com> Tue, 30 Sep 2014 18:05:00 +0100

guvcview (2.0.0)

    * new version 2.0.0 (code rewriten from scratch)
    * move all core functions to 4 shared libs
    * change options
    * change config
    * add sdl2 render
    * use gsl for random number generation

 -- Paulo Assis <pj.assis@gmail.com> Fri, 2 May 2014 9:54:00 +0100

guvcview (1.7.3)

    * add silence frames to compensate audio drift (delay).
    * fix possible memory leak
    * add video and image capture through system signals:
       SIGUSR1 and SIGUSR2
    * add true no_display mode (no X required)
    * small bug fixes

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 16 Feb 2014 10:24:00 +0000

guvcview (1.7.2)

    * Add H264 decoding support.
    * Sync translations.

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 8 Dec 2013 10:26:00 +0000

guvcview (1.7.1)

    * Fix avi muxer: fix opendml indexes (>= 1Gb)
    * Update Italian translation

 -- Paulo Assis <pj.assis@gmail.com>  Tue, 16 Jul 2013 13:27:00 +0000

guvcview (1.7.0)

    * refactor avi muxer (base it on libav muxer with opendml support)
    * refactor mkv muxer (base it on libav muxer with webm support)
    * Add VP8, Theora and Vorbis codecs
    * Add Webm support
    * Add a Top Menu
    * Move all file operations to the Top Menu

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 20 Jan 2013 15:44:00 +0000

guvcview (1.6.1)

    * Fix build with latest libavcodec
    * Fix audio codecs listing
    * Fix audio codecs (AC3 and AAC) input format for latest libavcodec API (float)
    * Add support for delayed frames in video encoding

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 22 Jul 2012 14:35:00 +0000

guvcview (1.6.0)

    * run audio in separate thread
    * update audio buffer
    * move pulse audio interface from simple to async API
    * add pulse device list
    * enable build of pulse API by default

 -- Paulo Assis <pj.assis@gmail.com>  Thu, 19 Apr 2012 23:18:00 +0000

guvcview (1.5.3)

    * update libavcodec API
    * add libavutil dependency
    * fix pulse interface
    * update language catalogs (add bs and fo)

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 27 Feb 2012 23:18:00 +0000

guvcview (1.5.2)

    * move to pthreads (fix gthread API 2 issues)
    * add italian translation
    * fix several libavcodec issues
    * fix some gtk3 widgets

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 1 Feb 2012 23:01:00 +0000

guvcview (1.5.1)

    * move to gtk3
    * make control window size dependent on screen resolution
    * Threaded coding patch by George Sedov <radist.morse@gmail.com>
    * fix h264 codec properties

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 12 Oct 2011 12:12:00 +0000

guvcview (1.5.0)

    * add a no display mode (--no_display)
    * fix build issues with newer versions (>=0.7.x) of ffmpeg libavcodec
    * add support for unix signals
    * add VU meter OSD
    * fix menu controls (linux 3.0)

 -- Paulo Assis <pj.assis@gmail.com>  Tue, 9 Aug 2011 22:16:00 +0000

guvcview (1.4.5)

    * store current codec properties in configuration file
    * fix audio codec properties button
    * modify some logitech extra controls (integer to menu)

 -- Paulo Assis <pj.assis@gmail.com>  Tue, 1 Mar 2011 23:09:00 +0000

guvcview (1.4.4)

    * add av_sync patch by Richard Fuchs <dfx@dfx.at>:
        Fixes sync issues between audio and video
        (most noticeable in avi container due to lack of timestamps)
    * Apply matroska-largefiles patch by Richard Fuchs <dfx@dfx.at>:
        Fix large files indexing in 32 bit systems
    * fix logitech disable video processing mode

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 10 Jan 2011 15:05:00 +0000

guvcview (1.4.3)

   * Fix control enumeration for buggy cameras (endless loop on failed control query)
   * Add udev events support (new dependy libudev)
   * Add exit on close to image capture
   * Fix image capture autonaming when set from command line

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 06 Nov 2010 11:00:00 +0000

guvcview (1.4.2)

   * Add support for Y16 pixel format (Greyscale)
   * Fix dynamic control support under kernels > 2.6.35
   * Check if resolution is supported by SDL_Surface
   * Check for null overlays
   * Use a sanner video ring buffer size (dependent on fps)
   * Add gdk-pixbuf-2.0 to pkg-config dependencies - fix build error on Maverick

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 25 Sept 2010 14:45:00 +0000

guvcview (1.4.1)

   * Fix h264 default values
   * Fix dynamic control mappings (uncache dynamic ctrls in uvc driver)
   * Check for valid ranges on integer controls

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 14 Jun 2010 23:24:00 +0000

guvcview (1.4.0)

   * completly refactor v4l control interface
   * change to control profile file format - rfc 0.0.2
   * change icon set, use Paul Davey <mattahan@gmail.com> icons:
        http://mattahan.deviantart.com/

 -- Paulo Assis <pj.assis@gmail.com>  Tue, 8 Jun 2010 10:18:00 +0000

guvcview (1.3.1)

   * Add support for GDK events
   * Add support for Webcam photo button
   * Add raw image format to command line picture timed capture

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 10 Apr 2010 22:23:00 +0000


guvcview (1.3.0)

   * Use libv4l2 for device access
   * Fix several builtin software autofocus issues

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 6 Mar 2010 19:58:00 +0000

guvcview (1.2.2)

   * Drop Twolame dependency
   * Audio enconding through libavcodec
   * Add MP3, AC3 and AAC support

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 30 Jan 2010 13:08:00 +0000

guvcview (1.2.1)

   * Performance boost:
    - Use ring buffers for video and audio processing.
    - Moved video and audio processing (including file IO) to separate thread.
   * Add particles video effect.
   * Fixed bug caused by empty device list.
   * Add MPG4-AVC (H264) codec support.

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 16 Nov 2009 10:25:00 +0000

guvcview (1.2.0)

   * Resolution and input format change no longer need a restart
   * Add add_ctrls option - exits after adding extension controls
   * Add disk check during capture (checks free space every 10sec)
   * Stop capture if low on free disk space
   * Add xioctl funtion - failed ioctl will be retried 4 times in case of I/O error
   * Fixed invalid gtk-button-images property warning

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 13 Oct 2009 11:30:00 +0000

guvcview (1.1.4)

   * Set pixel format BA81 to correct fourcc
   * Definitve fix button images display under karmic
   * Sdd pix formats: nv12, nv21, nv16, nv61, y41p, grey, s501, s505, s508
   * Improve yu12 and yv12 format conversion.
   * Add skip initial frames option
   * Fix man pages
   * Add hebrew language support

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 19 Sep 2009 21:59:00 +0000

guvcview (1.1.3)

   * Add rgb24 and bgr24 color formats
   * Set pulse support disabled by default in configure
   * Add extra messages to configure
   * Fix button images display under gtk 2.17

 -- Paulo Assis <pj.assis@gmail.com>  Thu, 20 Aug 2009 13:50:00 +0000

guvcview (1.1.2)

   * Fixed YUYV Matroska codec segfault
   * Added enable-debug option to configure (debug symbols (-g) is now disable by default)
   * Added Dutch translation

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 13 Aug 2009 12:59:00 +0000

guvcview (1.1.1)

   * Fixed Ubuntu 9.10 exit segfault
   * Added disable-pulse option to configure
   * Added russian translation by Roustam Ghizdatov
   * Added patches 2763, 2764 and 2765 by iwamatsu
   * Fixed some video format conversions
   * Fixed memory allocations when in control_only mode

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 31 May 2009 10:16:00 +0000

guvcview (1.1.0)

   * Added Matroska file format support (mkv)
   * Fixed Ubuntu 9.10 audio capture
   * Added initial pulseaudio support (testing only - needs pulse-devel for enabling)

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 10 May 2009 14:26:00 +0000

guvcview (1.0.5-ubuntu1) intrepid; urgency=low

   * Added libavcodec properties button
   * Improved default options for libavcodec
   * Improved support for libavcodec

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 4 Apr 2009 14:00:00 +0000

guvcview (1.0.4-ubuntu1) intrepid; urgency=low

   * Added WMV1 encoding to avi capture
   * fixed libavcodec configuration
   * changed support for uyvy (now we convert it to yuyv and use only one render format)
   * changed raw bayer conversion funtions
   * added full bayer support ( all bayer pixel formats)

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 29 Mar 2009 22:32:00 +0000


guvcview (1.0.3-ubuntu1) intrepid; urgency=low

   * Added MPEG encoding to avi capture
   * Added FLV1 encoding to avi capture
   * Added japanese translation

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 23 Mar 2009 23:01:00 +0000

guvcview (1.0.2-ubuntu1) intrepid; urgency=low

   * Fixed segfault on gspca devices

 -- Paulo Assis <pj.assis@gmail.com>  Sun, 8 Mar 2009 09:58:00 +0000

guvcview (1.0.1) intrepid; urgency=low

   * Fixed giant bug that prevented format detection

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 4 Mar 2009 23:57:00 +0000

guvcview (1.0.0) intrepid; urgency=low

   * Fixed vid:pid for UVC driver dynamic controls (parsing v4l2_cap card value)
   * Fixed yu12 conversion bug (needs testing)
   * added yv12 frame format (needs testing)
   * added yvyu frame format (needs testing)
   * Fixed null devices list bug (segfault)
   * Added version option to console args (--version)

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 2 Mar 2009 14:43:00 +0000

guvcview (0.9.9) intrepid; urgency=low

   * Fixed Format detection bug
   * Added control only functionality (--control_only), allows image control in different apps (e.g ekiga, mplayer)
   * Splitted V4l2 interface in smaller files

 -- Paulo Assis <pj.assis@gmail.com>  Thu, 19 Feb 2009 18:03:00 +0000

guvcview (0.9.8) intrepid; urgency=low

   * Added audio tab
   * Added new icon theme
   * Added audio effects
   * Added Turkish, Danish and Czech catalogs
   * Fixed Debian/armel corruption bug.(fix by Rask Ingemann Lambertsen)
   * Fixed gdk display bug after avi capture auto split (when max length reached), make gdk thread safe.
   * Fixed empty device list segfault bug

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 28 Jan 2009 09:43:00 +0000

guvcview (0.9.7) stable; urgency=low

   * Added JPEG pixel format support.
   * Added YYUV pixel format support.
   * Change configuration parsing method, using GScanner (glib).
   * Change console options parsing method, using GOption (glib).
   * Change string handling, using glib functions.
   * Change memory managment, using glib functions.
   * Change from pthreads to gthreads (glib).
   * Added multiple device support.

 -- Paulo Assis <pj.assis@gmail.com>  Tue, 31 Dec 2008 12:16:00 +0000

guvcview (0.9.6) stable; urgency=low

   * Fixed Get Focus value for logitech motor focus cameras.
   * Added select with timeout so guvcview won't stall at VIDIOC_DQBUFF.
   * Added support for GBRG pix format.
   * Added initial support for drivers that don't enumerate frame sizes (gspca).
   * Change console options parsing method, we now use getopt.
   * Improved v4l2 error handling by providing more usefull error messages.

 -- Paulo Assis <pj.assis@gmail.com>  Sat, 6 Dec 2008 18:44:00 +0000

guvcview (0.9.5) stable; urgency=low

   * Fixed several warnings in valgrind.
   * Fixed a couple of memory leaks.
   * Fixed a device open/close bug after first format init failure, causing
    second init with a valid format to fail.

 -- Paulo Assis <pj.assis@gmail.com>  Fri, 7 Nov 2008 23:19:00 +0000

guvcview (0.9.4) stable; urgency=low

   * Added support for isight camera - UYVY (Nobuhiro Iwamatsu).
   * Added support for YU12 ( YUV 4:2:0 planar ) pix format
   * Changed audio capture from blocking API to callback API,
	should improve audio performance.
   * Improved software autofocus (Dr. Alexander K. Seewald)
   * Added MP2 audio compression (twolame)
   * Added AVI auto file naming
   * Added AVI multi file captures (captures bigger than max file size)

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 13 Oct 2008 18:48:00 +0000

guvcview (0.9.3) stable; urgency=low

   * Fixed buffer overflow in filename extension for autocapture.
   * Fixed Doc installation path
   * Added software autofocus control for quickcam cameras (beta)
   * Changed avi audio method (audio chunks are now written directly to avi file)
   * Added avi max file size limit to config file
   * Close avi safely and stop capture when max file size reached
   * Fixed compilation with 2.6.26 kernels

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 18 Aug 2008 23:25:00 +0000

guvcview (0.9.2) stable; urgency=low

   * Fixed German Translation by Andreas Volz <andreas@tux-style.de>.
   * Fixed Jpg Save error on Cameras with incomplete JFIF headers

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 21 Jul 2008 23:30:00 +0000

guvcview (0.9.1) stable; urgency=low

   * Added error message dialogs.
   * Changed cleanup.
   * Added translations for error messages.
   * Fixed Pan/Tilt for Sphere/Orbit (should now work with latest libwebcam)
   * Changed icon set
   * Added guvcview icon to control window
   * Improved Raw support (needs patch for uvc driver,  http://forums.quickcamteam.net/showthread.php?tid=323)

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 11 Jul 2008 12:04:00 +0000


guvcview (0.9.0) stable; urgency=low

   * GUI change: Add Tab Container.
   * Add spin button to integer controls (allows fine tunning).
   * Add gettext support (i18n).
   * Add laguage catalogs (pt pt_PT pt_BR fr de).
   * Add button icons.
   * Changed build scripts, make will now build guvcview.desktop and make install will install all data files.

 -- Paulo Assis <pj.assis@gmail.com>  Mon, 18 May 2008 10:20:00 +0000

guvcview (0.8.2) stable; urgency=low

   * Fixed SegFault after soundthread exit in 64 bit systems (bug: #013688)
   * Moved all SDL related stuff to video thread
   * Add support for long name command line args

 -- Paulo Assis <pj.assis@gmail.com>  Fri, 02 May 2008 19:18:00 +0000


guvcview (0.8.1) stable; urgency=low

   * Fixed Debian Testing (lenny) image file name icrement bug.

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 19 Apr 2008 22:25:18 +0000

guvcview (0.8.0) stable; urgency=low

   * Fixed Pan/Tilt and Focus Control
   * Added Scrolled Pans to GUI
   * Added image autonaming and auto capture.

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.7.4) stable; urgency=low

   * Added File Auto name checkbox
   * Added File increment label

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.7.3) stable; urgency=low

   * Added file name increment for multiple captures
   * Added timed capture mode
   * Fixed Pan/Tilt controls

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.7.1) stable; urgency=low

   * Fixed Backlight Compensation
   * Added Dynamic Controls
   * Added video loop sleep time to rc file

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.7.0) stable; urgency=low

   * Fixed Cell padding (auto resize widgets)
   * Fixed Mono filter
   * Added quit button
   * Added sound capture parameters to rc file
   * Added device string to rc file

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.6.2) stable; urgency=low

   * Replace '~' by home dir in Path entry
   * added fps counter command line option '-p'
   * added input mode combo box (jpg - yuv)

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.6.1) stable; urgency=low

   * fixed memory allocation bug for jpeg encoder buffer
   * added video filters to rc file

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.6.0) unstable; urgency=low

   * Added image filters
   * Added built-in jpeg encoder (allows jpeg and MJPG compression with
     filters and in yuv mode)
   * Changed Exposure settings to comboBox (compatibility with V4L2)

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.5.4) unstable; urgency=low

  * Adds [-t seconds] and [-n filename.avi] command line options - timer used
    with -n will capture filename.avi for specified number of seconds
  * Stores avi and sound options to rc file. The options will be remembered in
    the next session.
  * Moved global variables to global structure. Allows bether cleanup.
  * Increased audio input buffer - will avoid droping frames in the begining
    of capture in slower machines.
  * Improved sync system for video-audio.
  * Cleanup of some non-used variables.

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.5.2-1) unstable; urgency=low

  * fixes a restart bug when guvcview is started from system path

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.5.1-0) unstable; urgency=low

  * disables sound and avi compression controls when in avi capture
  * some bug fixing for sound capture.

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000

guvcview (0.5.0-beta) unstable; urgency=low

  * Adds basic sound support to AVI capture
  * AVI video set by default to MJPG


 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 Jan 2008 19:07:18 +0000
